declare const theme: {
    readonly font: {
        readonly family: "Inter, sans-serif";
        readonly weight: {
            readonly thin: 300;
            readonly regular: 400;
            readonly medium: 500;
            readonly semibold: 600;
            readonly bold: 700;
            readonly black: 900;
        };
        readonly sizes: {
            readonly small: "0.75rem";
            readonly medium: "0.875rem";
            readonly body: "0.875rem";
            readonly body_large: "1rem";
            readonly xlarge: "1.5rem";
        };
        readonly text: {
            readonly sizes: {
                readonly tiny: "0.75rem";
                readonly small: "0.875rem";
                readonly regular: "1rem";
                readonly medium: "1.125rem";
                readonly large: "1.5rem";
                readonly xlarge: "2.25rem";
            };
        };
    };
    readonly icon: {
        readonly size: {
            readonly small: "0.75rem";
            readonly default: "1.25rem";
            readonly medium: "2rem";
            readonly big: "2.5rem";
            readonly xlarge: "3.75rem";
        };
    };
    readonly border: {
        readonly radius_small: "0.25rem";
        readonly radius: "0.5rem";
        readonly radius_xlarge: "100px";
    };
    readonly spacings: {
        readonly xsmall: "0.5rem";
        readonly small: "1rem";
        readonly medium: "1.5rem";
        readonly large: "2rem";
        readonly xlarge: "2.5rem";
        readonly xxlarge: "3rem";
        readonly giant: "3.5rem";
        readonly xgiant: "4rem";
        readonly xxgiant: "4.5rem";
    };
    readonly layers: {
        readonly base: 10;
        readonly menu: 20;
        readonly overlay: 30;
        readonly modal: 40;
        readonly alwaysOnTop: 50;
    };
    readonly transitions: {
        readonly fast: "ease-in-out 125ms";
        readonly normal: "ease-in-out 250ms";
        readonly slow: "ease-in-out 500ms";
    };
    readonly colors: {
        readonly black: {
            readonly 500: "#2B3B4B";
            readonly 400: "#3D4D5E";
            readonly 300: "#506072";
            readonly 200: "#647386";
            readonly 100: "#78889B";
            readonly 50: "#B1B9C2";
        };
        readonly blue: {
            readonly 950: "#22174F";
            readonly 900: "#34257E";
            readonly 800: "#4127AC";
            readonly 700: "#502DD5";
            readonly 600: "#5C3AF1";
            readonly 500: "#6A58FC";
            readonly 400: "#7D78FF";
            readonly 300: "#9EA3FF";
            readonly 200: "#C3C8FF";
            readonly 100: "#DEE2FF";
            readonly 50: "#EDEFFF";
        };
        readonly gray: {
            readonly 950: "#28252C";
            readonly 900: "#312E38";
            readonly 800: "#433E4E";
            readonly 700: "#4E485C";
            readonly 600: "#5F5871";
            readonly 500: "#746E89";
            readonly 400: "#918CA4";
            readonly 300: "#B9B5C4";
            readonly 200: "#D9D7E0";
            readonly 100: "#EFEDF1";
            readonly 50: "#FFFFFF";
        };
        readonly white: {
            readonly 100: "#FAFAFA";
            readonly 50: "#FCFCFD";
        };
        readonly red: {
            readonly 950: "#420D0D";
            readonly 900: "#7B2121";
            readonly 800: "#932121";
            readonly 700: "#B22323";
            readonly 600: "#D53434";
            readonly 500: "#E74C4C";
            readonly 400: "#F27777";
            readonly 300: "#F8A9A9";
            readonly 200: "#FCCCCC";
            readonly 100: "#FDE3E3";
            readonly 50: "#FDF3F3";
        };
        readonly yellow: {
            readonly 950: "#3B220D";
            readonly 900: "#66411D";
            readonly 800: "#774E1C";
            readonly 700: "#8F6119";
            readonly 600: "#B2841C";
            readonly 500: "#CFA823";
            readonly 400: "#DEBD2B";
            readonly 300: "#E7D35D";
            readonly 200: "#F0E798";
            readonly 100: "#F7F4CA";
            readonly 50: "#FBFAEB";
        };
        readonly green: {
            readonly 950: "#032B1D";
            readonly 900: "#084C33";
            readonly 800: "#085D3C";
            readonly 700: "#07754B";
            readonly 600: "#099259";
            readonly 500: "#15B46F";
            readonly 400: "#3ED08C";
            readonly 300: "#71E4AA";
            readonly 200: "#A9F1C9";
            readonly 100: "#D2F9E1";
            readonly 50: "#ECFDF3";
        };
    };
    readonly shadows: {
        readonly element: "0px 8px 16px 0px rgba(43, 59, 75, 0.10)";
        readonly button: "0px 8px 8px 0px rgba(43, 59, 75, 0.10)";
        readonly card: "0px 8px 12px 0px rgba(5, 37, 62, 0.10)";
        readonly bar: "0px -2px 16px 8px rgba(43, 59, 75, 0.10)";
    };
};
export default theme;
